org.eclipse.emf.facet.widgets.celleditors.ecore.composite

## Class BigDecimalComposite

- java.lang.Object
- - Composite
  - - org.eclipse.emf.facet.widgets.celleditors.AbstractCellEditorComposite<T>
    - - org.eclipse.emf.facet.widgets.celleditors.ecore.composite.StringComposite<java.math.BigDecimal>
      - - org.eclipse.emf.facet.widgets.celleditors.ecore.composite.BigDecimalComposite

All Implemented Interfaces:
  IWidget2<java.math.BigDecimal>

    public class BigDecimalComposite
    extends StringComposite<java.math.BigDecimal>

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.emf.facet.widgets.celleditors.ecore.composite.StringComposite

`StringComposite.IConverter<T>`

### Constructor Summary

Constructors
Constructor and Description
`BigDecimalComposite(Composite parent)`
`BigDecimalComposite(Composite parent, int style)`

### Method Summary

All Methods Instance Methods Concrete Methods
`StringComposite.IConverter<java.math.BigDecimal>` `initConverter()`
`IStatus` `validate(java.lang.String string)`

### Methods inherited from class org.eclipse.emf.facet.widgets.celleditors.ecore.composite.StringComposite

`getEditable, getText, getValue, setEnabled, setValue`

### Methods inherited from class org.eclipse.emf.facet.widgets.celleditors.AbstractCellEditorComposite

`addChangeListener, addCommitListener, getValidator, removeChangeListener, removeCommitListener`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BigDecimalComposite

    public BigDecimalComposite(Composite parent)

#### BigDecimalComposite

    public BigDecimalComposite(Composite parent,
                               int style)

### Method Detail

#### initConverter

    public StringComposite.IConverter<java.math.BigDecimal> initConverter()

Specified by:
  `initConverter` in class `StringComposite<java.math.BigDecimal>`

#### validate

    public IStatus validate(java.lang.String string)

Specified by:
  `validate` in class `StringComposite<java.math.BigDecimal>`